LinuxQuestions.org
LinuxAnswers - the LQ Linux tutorial section.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Hardware
User Name
Password
Linux - Hardware This forum is for Hardware issues.
Having trouble installing a piece of hardware? Want to know if that peripheral is compatible with Linux?

Notices

Reply
 
Search this Thread
Old 11-15-2003, 04:39 PM   #1
ntworkMikey
LQ Newbie
 
Registered: Nov 2003
Location: Atlanta, GA
Posts: 9

Rep: Reputation: 0
Epson C64 printer


I have just purchased an Epson C64 printer for Mandrake 9.1. I just found out that there is no driver for this printer. I downloaded an appropriate driver GIMP 4.3.6 pre 3.tar.gz but darned if I can figure out where to install it and how to do it. Being a newbie to Linux, I cannot believe it is that tough to do!

Can anyone provide info so that I don't have to return this printer??? I bought an Epson because of well rounded support in Linux.

Thanks in advance!
 
Old 11-15-2003, 08:12 PM   #2
teval
Member
 
Registered: Jul 2003
Location: Toronto, Canada
Distribution: Gentoo
Posts: 720

Rep: Reputation: 30
http://www.linuxprinting.org/

Is your friend.
They have everything from tutorials to manuals to installation manuals.
They hardware compatibility databse is a godsent
 
Old 11-19-2003, 03:41 PM   #3
ntworkMikey
LQ Newbie
 
Registered: Nov 2003
Location: Atlanta, GA
Posts: 9

Original Poster
Rep: Reputation: 0
Epson C64

I went to www.linuxprinting.org looking for the imstallation guides for the GIMP Print drivers. have been looking for two days but nothing yet. If anyone knows where it might be exactly, I would be glad to hear from you.

Thanks!!
 
Old 11-27-2003, 09:41 AM   #4
enigma1
LQ Newbie
 
Registered: Aug 2003
Location: U.K.
Distribution: Mandrake 9.1
Posts: 7

Rep: Reputation: 0
I also have one of these printers, and am having the same difficulty. So if you find out, I'd be grateful for the information

James
 
Old 12-03-2003, 07:42 PM   #5
Laszlo Palya
LQ Newbie
 
Registered: Aug 2003
Location: Canada
Distribution: Mandrake
Posts: 5

Rep: Reputation: 0
Talking Stylus 64

1 download gimpprint > 2.3
2 Untar using Ark
3 Change to the directory where you untared to
4 ./configure
5 make
6 As root (su) make install
7 In controll centre -> modify printer (EPSON)
8 Chose connection type ( in my case /dev/usb/lp0 )
9 Chose driver -> CUPS + Gimp-Print v4.3.25 <- in my case
10 Apply

Now you can print !!!!

ENJOY
 
Old 12-25-2003, 07:51 AM   #6
peteruta
LQ Newbie
 
Registered: Apr 2003
Posts: 2

Rep: Reputation: 0
Can't Confgure in SuSE 9.0

I run configure and I get the following error:

checking for GIMP - version >= 1.2.0... no
*** Could not run GIMP test program, checking why...
*** The test program failed to compile or link. See the file config.log for the
*** exact error that occured. This usually means GIMP was incorrectly installed
*** or that you have moved GIMP since it was installed. In the latter case, you
*** may want to edit the gimptool script: /usr/bin/gimptool
configure: error: Cannot find GIMP libraries: Please run ldconfig as root
./configure: line 25401: exit: make: numeric argument required
./configure: line 25401: exit: make: numeric argument required


in the config.log file I get tonns of errors...

One which is of note:
configure:25399: error: Cannot find GIMP libraries: Please run ldconfig as root

Yet
/usr/bin/gimptool
seems to be correct?

Peter
 
Old 12-25-2003, 10:11 AM   #7
peteruta
LQ Newbie
 
Registered: Apr 2003
Posts: 2

Rep: Reputation: 0
I fixed this by adding a bunch of *-devel packes from gtk to ssl...look at the output of the configure and keep added the devel's tell it works...
 
Old 12-26-2003, 06:42 AM   #8
schatoor
Senior Member
 
Registered: Jul 2002
Location: a tiny place caled hendrik ido ambacht in the netherlands
Distribution: SuSE, debian, slackware, lfs
Posts: 1,358

Rep: Reputation: 45
Quote:
configure:25399: error: Cannot find GIMP libraries: Please run ldconfig as root
What of the above comment didn't you understand dude? Did you run ldconfig as root?
BTW: I have the exact same printer and it works like a charm (exept that the ink cartarige is empty). So hang in there.

Last edited by schatoor; 12-26-2003 at 06:45 AM.
 
Old 01-06-2004, 09:22 AM   #9
matteo_barison
LQ Newbie
 
Registered: Jan 2004
Location: Italy
Distribution: Red Hat 9
Posts: 1

Rep: Reputation: 0
Epson C64 installation on lp0 port

Hi everyone. I'm trying to install gimp-print, version 2.6 release candidate 2 on my Red Hat 9.
I installed the latest foomatic packages (db, db-engine and filters) but I cannot still install gimp-print.

Installation of foomatic seems to be ok, but when I run 'make' , I have the following lines on console:

...
No foomatic printer IDs for gimp-print printer escp2-2200.
No foomatic printer IDs for gimp-print printer escp2-c41ux.
No foomatic printer IDs for gimp-print printer escp2-1520.
No foomatic printer IDs for gimp-print printer pcl-3.
Cannot continue
make[3]: *** [foomatic-stamp] Error 25
make[3]: Leaving directory `/neva/redhat_installations/gimp-print-4.2.6-rc2/src/foomatic'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/neva/redhat_installations/gimp-print-4.2.6-rc2/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/neva/redhat_installations/gimp-print-4.2.6-rc2'
make: *** [all-recursive-am] Error 2

Thanks for any advice you could give me

Matteo
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Epson C64 printer in Fedora core 1 or 2??? steelgrave Linux - Hardware 1 05-24-2004 06:49 PM
Epson C64 printer in Fedora core 1 or 2??? steelgrave Fedora 0 05-23-2004 09:40 PM
Mandrake printer driver for EPSON C64 ? perry Linux - Hardware 2 05-21-2004 12:50 PM
Epson C64 Printer!!!! nytramlean Linux - Newbie 0 04-20-2004 10:22 AM
Epson Stylus C64 Printer tonycon Linux - Hardware 5 04-05-2004 01:22 PM


All times are GMT -5. The time now is 08:51 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration